# Intel® Enhanced Privacy ID SDK: Stack Struct Reference

Stack Struct Reference

Internal representation of a Stack. More...

## Data Fields

size_t | element_size
| Size of element in bytes.
void * | buf
| Buffer to store elements.
size_t | max_size
| Numbers of elements buffer was allocated to.
size_t | top
| Stack top, the number of elements in the stack.

## Detailed Description

Internal representation of a Stack.

A stack.

The documentation for this struct was generated from the following file:

- epid/common/stack.c